<?php

namespace Modules\Achat\Config;

// Create a new instance of our RouteCollection class.
$routes->group("{locale}/achat", ["namespace" => "\Modules\Achat\Controllers", 'filter' => ['appAuth']], function ($routes) {

    //Routes for Achats
    $routes->get("/", "Achat::index");
    $routes->get("add", "Achat::add");
    $routes->post("save", "Achat::save");
    $routes->get("add/(:num)", "Achat::add");
    $routes->get("detail/(:num)", "Achat::detail");
    $routes->post("data", "Achat::fecth");
    $routes->get("delete/(:num)", "Achat::delete", ['filter' => 'permission:achat.delete']);
    $routes->get("export/(:num)", "Achat::export");
    
});